> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create project



## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples post /projects
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /projects:
    post:
      tags:
        - Projects
      summary: Create project
      operationId: create-project
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    type:
                      type: string
                      enum:
                        - projects
                    attributes:
                      type: object
                      properties:
                        name:
                          type: string
                          description: The project name. Must be unique.
                        provisioning_type:
                          type: string
                          description: >-
                            The provisioning type of the project. Default:
                            on_demand
                          enum:
                            - reserved
                            - on_demand
                        description:
                          type: string
                          description: The project description.
                        environment:
                          type: string
                          enum:
                            - Development
                            - Staging
                            - Production
                      required:
                        - name
                        - provisioning_type
                  required:
                    - type
            examples:
              Created:
                summary: Created
                value:
                  data:
                    type: projects
                    attributes:
                      name: Bailey and Sons
                      description: >-
                        Thick slices of French toast bread, brown sugar,
                        half-and-half and vanilla, topped with powdered sugar.
                        With two eggs served any style, and your choice of
                        smoked bacon or smoked ham.
                      environment: Development
                      provisioning_type: on_demand
          application/vnd.api+json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    type:
                      type: string
                      enum:
                        - projects
                    attributes:
                      type: object
                      properties:
                        name:
                          type: string
                          description: The project name. Must be unique.
                        provisioning_type:
                          type: string
                          description: >-
                            The provisioning type of the project. Default:
                            on_demand
                          enum:
                            - reserved
                            - on_demand
                        description:
                          type: string
                          description: The project description.
                        environment:
                          type: string
                          enum:
                            - Development
                            - Staging
                            - Production
                      required:
                        - name
                        - provisioning_type
                  required:
                    - type
            examples:
              Created:
                summary: Created
                value:
                  data:
                    type: projects
                    attributes:
                      name: Bailey and Sons
                      description: >-
                        Thick slices of French toast bread, brown sugar,
                        half-and-half and vanilla, topped with powdered sugar.
                        With two eggs served any style, and your choice of
                        smoked bacon or smoked ham.
                      environment: Development
                      provisioning_type: on_demand
        required: true
      responses:
        '201':
          description: Created
          content:
            application/vnd.api+json:
              examples:
                Created:
                  value:
                    data:
                      id: proj_0L6WO156OPlXy
                      type: projects
                      attributes:
                        tags: []
                        name: Bailey and Sons
                        slug: bailey-and-sons
                        description: >-
                          Thick slices of French toast bread, brown sugar,
                          half-and-half and vanilla, topped with powdered sugar.
                          With two eggs served any style, and your choice of
                          smoked bacon or smoked ham.
                        bandwidth_alert: null
                        environment: Development
                        provisioning_type: on_demand
                        billing_type: Normal
                        billing_method: Normal
                        billing:
                          subscription_id: sub_wj7zk7mu35c2yq
                          type: Normal
                          method: Normal
                        team:
                          id: team_72lL07N6leClEozwoxe9UVap9Aw
                          name: 179 Team
                          slug: 179-team
                          description: 179 Team
                          address: Suite 460 74321 Nana Locks, Crystalport, TN 35908
                          currency:
                            id: cur_AW6Q2D9lqKLpr
                            code: BRL
                            name: Brazilian Real
                            currency_id: null
                          status: verified
                          feature_flags: []
                          limits:
                            bare_metal: 5
                            bare_metal_gpu: 1
                            virtual_machine: 5
                            virtual_machine_gpu: 3
                            database: null
                            filesystem: null
                            block_storage: null
                        stats:
                          databases: 0
                          ip_addresses: 0
                          prefixes: 0
                          servers: 0
                          storages: 0
                          virtual_machines: 0
                          vlans: 0
                        created_at: '2026-01-14T15:56:39+00:00'
                        updated_at: '2026-01-14T15:56:39+00:00'
                    meta: {}
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/project'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            import latitudesh_python_sdk
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.projects.create(data={
                    "type": latitudesh_python_sdk.CreateProjectProjectsType.PROJECTS,
                    "attributes": {
                        "name": "Bailey and Sons",
                        "provisioning_type": latitudesh_python_sdk.CreateProjectProvisioningType.ON_DEMAND,
                        "description": "Thick slices of French toast bread, brown sugar, half-and-half and vanilla, topped with powdered sugar. With two eggs served any style, and your choice of smoked bacon or smoked ham.",
                        "environment": latitudesh_python_sdk.CreateProjectProjectsEnvironment.DEVELOPMENT,
                    },
                })

                # Handle response
                print(res)
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"github.com/latitudesh/latitudesh-go-sdk/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.Projects.Create(ctx, operations.CreateProjectProjectsRequestBody{\n        Data: &operations.CreateProjectProjectsData{\n            Type: operations.CreateProjectProjectsTypeProjects,\n            Attributes: &operations.CreateProjectProjectsAttributes{\n                Name: \"Bailey and Sons\",\n                ProvisioningType: operations.CreateProjectProvisioningTypeOnDemand,\n                Description: latitudeshgosdk.Pointer(\"Thick slices of French toast bread, brown sugar, half-and-half and vanilla, topped with powdered sugar. With two eggs served any style, and your choice of smoked bacon or smoked ham.\"),\n                Environment: operations.CreateProjectEnvironmentDevelopment.ToPointer(),\n            },\n        },\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.Object != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.projects.create({
                data: {
                  type: "projects",
                  attributes: {
                    name: "Bailey and Sons",
                    provisioningType: "on_demand",
                    description: "Thick slices of French toast bread, brown sugar, half-and-half and vanilla, topped with powdered sugar. With two eggs served any style, and your choice of smoked bacon or smoked ham.",
                    environment: "Development",
                  },
                },
              });

              console.log(result);
            }

            run();
components:
  schemas:
    project:
      type: object
      properties:
        id:
          type: string
          description: The project ID
        attributes:
          type: object
          properties:
            name:
              type: string
              description: The project name
            slug:
              type: string
              description: A unique project identifier
            description:
              type: string
              nullable: true
              description: The project description
            billing_type:
              type: string
              nullable: true
              enum:
                - Yearly
                - Monthly
                - Hourly
                - Normal
                - Custom
            billing_method:
              type: string
              nullable: true
              enum:
                - Normal
                - 95th percentile
            cost:
              type: string
              nullable: true
            environment:
              type: string
              nullable: true
              enum:
                - Development
                - Staging
                - Production
            stats:
              type: object
              properties:
                ip_addresses:
                  type: number
                  description: The number of IP addresses assigned to the project
                prefixes:
                  type: number
                  description: The IP address prefixes in the project
                servers:
                  type: number
                  description: The number of servers assigned to the project
                containers:
                  type: number
                  description: The number of containers assigned to the project
                vlans:
                  type: number
                  description: The number of VLANs assigned to the project
            billing:
              type: object
              properties:
                subscription_id:
                  type: string
                type:
                  type: string
                method:
                  type: string
            team:
              $ref: '#/components/schemas/team_include'
            created_at:
              type: string
            updated_at:
              type: string
    team_include:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        description:
          type: string
          nullable: true
        address:
          type: string
        currency:
          type: object
        status:
          type: string
        feature_flags:
          type: array
          items:
            type: string
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````